sslservice_sslpolicy_binding
Binding object showing the sslpolicy that can be bound to sslservice.
Properties
(click to see Operations )
| Name | Data Type | Permissions | Description |
|---|---|---|---|
| invoke | <Boolean> | Read-write | Invoke flag. This attribute is relevant only for ADVANCED policies. |
| gotopriorityexpression | <String> | Read-write | Expression specifying the priority of the next policy which will get evaluated if the current policy rule evaluates to TRUE. |
| policyname | <String> | Read-write | The SSL policy binding. |
| servicename | <String> | Read-write | Name of the SSL service for which to set advanced configuration.
Minimum length = 1
|
| type | <String> | Read-write | The phase of the SSL connection in which the policy rule is evaluated. Possible Value: SERVER_AUTH_VAL_REQ. The bindpoint means:: 1. SERVER_AUTH_VAL_REQ: Policy evaluation will be performed during the verification of the server certificate. Action allowed with this type is: OCSPCERTVALIDATION.
Possible values = SERVER_AUTH_VAL
|
| labelname | <String> | Read-write | Name of the label to invoke if the current policy rule evaluates to TRUE. |
| priority | <Integer> | Read-write | The priority of the policies bound to this SSL service.
Minimum value = 0
Maximum value = 65534
|
| labeltype | <String> | Read-write | Type of policy label invocation.
Possible values = vserver, service, policylabel
|
| polinherit | <Integer> | Read-only | Whether the bound policy is a inherited policy or not.
Minimum value = 0
Maximum value = 254
|
| __count | <Double> | Read-only | count parameter |
Operations
(click to see Properties )
- ADD
- DELETE
- GET
- GET (ALL)
- COUNT
Some options that you can use for each operations:
-
Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yesIf any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
-
Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,To do this, you must specify the username and password in the request header of the NITRO request as follows:X-NITRO-USER: <username>X-NITRO-PASS: <password>Note: In such cases, make sure that the request header DOES not include the following:Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green
add
URL: http:// <netscaler-ip-address /nitro/v1/config/sslservice_sslpolicy_binding HTTP Method: PUT
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{
"sslservice_sslpolicy_binding":{
<b>"servicename":<String_value>,
</b>"policyname":<String_value>,
"priority":<Integer_value>,
"gotopriorityexpression":<String_value>,
"invoke":<Boolean_value>,
"labeltype":<String_value>,
"labelname":<String_value>,
"type":<String_value>
}}
Response: HTTP Status Code on Success: 201 Created
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
delete
URL: http:// <netscaler-ip-address> /nitro/v1/config/sslservice_sslpolicy_binding/ servicename_value<String> Query-parameters: args http:// <netscaler-ip-address> /nitro/v1/config/sslservice_sslpolicy_binding/ servicename_value<String> ? args=policyname: <String_value> ,priority: <Integer_value> ,type: <String_value>
HTTP Method: DELETE
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
get
URL: http:// <netscaler-ip-address> /nitro/v1/config/sslservice_sslpolicy_binding/ servicename_value<String> Query-parameters: filter http:// <netscaler-ip-address> /nitro/v1/config/sslservice_sslpolicy_binding/ servicename_value<String> ? filter=property-name1:property-value1,property-name2:property-value2
Use this query-parameter to get the filtered set of sslservice_sslpolicy_binding resources configured on NetScaler.Filtering can be done on any of the properties of the resource.
pagination http:// <netscaler-ip-address> /nitro/v1/config/sslservice_sslpolicy_binding/ servicename_value<String> ? pagesize=#no;pageno=#no
Use this query-parameter to get the sslservice_sslpolicy_binding resources in chunks.
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "sslservice_sslpolicy_binding": [ {
"invoke":<Boolean_value>,
"gotopriorityexpression":<String_value>,
"policyname":<String_value>,
"servicename":<String_value>,
"type":<String_value>,
"labelname":<String_value>,
"priority":<Integer_value>,
"labeltype":<String_value>,
"polinherit":<Integer_value>
}]}
get (all)
URL: http:// <netscaler-ip-address> /nitro/v1/config/sslservice_sslpolicy_binding HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Query-parameters: bulkbindings http:// <netscaler-ip-address> /nitro/v1/config/sslservice_sslpolicy_binding? bulkbindings=yes
NITRO allows you to fetch bindings in bulk.
Note: get (all) method can be used only in conjuction with bulkbindings query parameter.
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "sslservice_sslpolicy_binding": [ {
"invoke":<Boolean_value>,
"gotopriorityexpression":<String_value>,
"policyname":<String_value>,
"servicename":<String_value>,
"type":<String_value>,
"labelname":<String_value>,
"priority":<Integer_value>,
"labeltype":<String_value>,
"polinherit":<Integer_value>
}]}
count
URL: http:// <netscaler-ip-address> /nitro/v1/config/sslservice_sslpolicy_binding/ servicename_value<String> ? count=yes HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{"sslservice_sslpolicy_binding": [ { "__count": "#no"} ] }